How to Resolve Microstack Errors Described Below:

asked 2020-05-18 23:25:50 -0500

I am trying to learn deploying a microstack at Ubuntu 18.04. I am already running a test site from html folder using localhost.

When I run sudo microstack.init --auto the command fails to launch the GUI at 10.20.20.1 with the errors pasted below. Looking forward to some help to resolve this issue. Thanks

mik@master-node:~$ sudo microstack.init --auto [sudo] password for mik: 2020-05-19 08:44:42,578 - microstack_init - INFO - Configuring networking ... 2020-05-19 08:44:43,862 - microstack_init - INFO - Setting up ipv4 forwarding... 2020-05-19 08:44:44,935 - microstack_init - INFO - Opening horizon dashboard up to * 2020-05-19 08:44:45,875 - microstack_init - INFO - Waiting for RabbitMQ to start ... Waiting for 10.20.20.1:5672 2020-05-19 08:44:45,890 - microstack_init - INFO - RabbitMQ started! 2020-05-19 08:44:45,891 - microstack_init - INFO - Configuring RabbitMQ ... 2020-05-19 08:44:48,988 - microstack_init - INFO - RabbitMQ Configured! 2020-05-19 08:44:49,043 - microstack_init - INFO - Waiting for MySQL server to start ... Waiting for 10.20.20.1:3306 2020-05-19 08:44:49,580 - microstack_init - INFO - Mysql server started! Creating databases ... Traceback (most recent call last): File "/snap/microstack/196/lib/python3.6/site-packages/pymysql/connections.py", line 571, in connect sock.connect(self.unix_socket) FileNotFoundError: [Errno 2] No such file or directory

During handling of the above exception, another exception occurred:

Traceback (most recent call last): File "/snap/microstack/196/bin/microstack_init", line 11, in <module> load_entry_point('microstack-init==0.0.1', 'console_scripts', 'microstack_init')() File "/snap/microstack/196/lib/python3.6/site-packages/init/main.py", line 122, in main question.ask() File "/snap/microstack/196/lib/python3.6/site-packages/init/questions/question.py", line 210, in ask self.yes(awr) File "/snap/microstack/196/lib/python3.6/site-packages/init/questions/__init__.py", line 349, in yes self._create_dbs() File "/snap/microstack/196/lib/python3.6/site-packages/init/questions/__init__.py", line 316, in _create_dbs sql("CREATE DATABASE IF NOT EXISTS {db};".format(db=db)) File "/snap/microstack/196/lib/python3.6/site-packages/init/shell.py", line 131, in sql connection = pymysql.connect(read_default_file=mysql_conf) File "/snap/microstack/196/lib/python3.6/site-packages/pymysql/__init__.py", line 94, in Connect return Connection(args, *kwargs) File "/snap/microstack/196/lib/python3.6/site-packages/pymysql/connections.py", line 325, in __init__ self.connect() File "/snap/microstack/196/lib/python3.6/site-packages/pymysql/connections.py", line 630, in connect raise exc pymysql.err.OperationalError: (2003, "Can't connect to MySQL server on 'localhost' ([Errno 2] No such file or directory)")

edit retag flag offensive close merge delete

Comments

I know nothing about Microstack, but it seems MySQL could not be launched or accessed because the required UNIX socket is missing. Perhaps there is something in the logs, probably /var/log/mysql?

Bernd Bausch gravatar imageBernd Bausch ( 2020-05-19 01:18:31 -0500 )edit